List Self-recovery History
curl --request GET \
--url https://api.lemlist.com/api/self-recovery/history \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.lemlist.com/api/self-recovery/history"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.lemlist.com/api/self-recovery/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://api.lemlist.com/api/self-recovery/history")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lemlist.com/api/self-recovery/history",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"history": [
{
"_id": "srh_ExampleAcmeCaseId",
"teamId": "tea_ExampleAcmeTeamId",
"assetId": "usm_ExampleMailboxId",
"assetType": "mailbox",
"assetLabel": "john@example.com",
"openedAt": "2026-05-06T18:42:11.000Z",
"status": "executed",
"recommendations": [
{
"rootCause": "reputationDecline",
"strategy": "recover",
"action": "recover",
"confidence": "medium",
"explanationCode": "reputationDecline",
"explanationVars": [],
"contributingSignals": [
"bounceRate"
],
"executionStatus": "executed",
"executedAt": "2026-05-06T18:42:11.000Z",
"previousEmailsLimit": 40
}
],
"lastDiagnosisKey": "reputationDecline|recover|recover"
}
],
"total": 1
}Self-recovery
List Self-recovery History
Lists your team’s self-recovery incident history, most recent first. Each case captures a detected degradation and the recommendations self-recovery made or executed.
GET
/
self-recovery
/
history
List Self-recovery History
curl --request GET \
--url https://api.lemlist.com/api/self-recovery/history \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.lemlist.com/api/self-recovery/history"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.lemlist.com/api/self-recovery/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://api.lemlist.com/api/self-recovery/history")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lemlist.com/api/self-recovery/history",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"history": [
{
"_id": "srh_ExampleAcmeCaseId",
"teamId": "tea_ExampleAcmeTeamId",
"assetId": "usm_ExampleMailboxId",
"assetType": "mailbox",
"assetLabel": "john@example.com",
"openedAt": "2026-05-06T18:42:11.000Z",
"status": "executed",
"recommendations": [
{
"rootCause": "reputationDecline",
"strategy": "recover",
"action": "recover",
"confidence": "medium",
"explanationCode": "reputationDecline",
"explanationVars": [],
"contributingSignals": [
"bounceRate"
],
"executionStatus": "executed",
"executedAt": "2026-05-06T18:42:11.000Z",
"previousEmailsLimit": 40
}
],
"lastDiagnosisKey": "reputationDecline|recover|recover"
}
],
"total": 1
}Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Query Parameters
Max cases to return (1-100).
Required range:
1 <= x <= 100Number of cases to skip, for pagination.
Required range:
x >= 0Was this page helpful?